com.thinkaurelius.titan.diskstorage.indexing

## Class IndexMutation

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.Mutation<IndexEntry,IndexEntry>
  - - com.thinkaurelius.titan.diskstorage.indexing.IndexMutation

-     public class IndexMutation
      extends Mutation<IndexEntry,IndexEntry>

  An index mutation contains the field updates (additions and deletions) for a particular index entry. In addition it maintains two boolean values: 1) isNew - the entry is newly created, 2) isDeleted - the entire entry is being deleted. These can be used by an `IndexProvider` to execute updates more efficiently.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.common.base.Function<IndexEntry,String>` | `ENTRY2FIELD_FCT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexMutation(boolean isNew, boolean isDeleted)`
    `IndexMutation(List<IndexEntry> additions, List<IndexEntry> deletions, boolean isNew, boolean isDeleted)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consolidate()`
    `boolean` | `isConsolidated()`
    `boolean` | `isDeleted()`
    `boolean` | `isNew()`
    `void` | `merge(IndexMutation m)`
    `void` | `resetDelete()`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.Mutation

      `addition, consolidate, deletion, getAdditions, getDeletions, getTotalMutations, hasAdditions, hasDeletions, isConsolidated, isEmpty, merge`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENTRY2FIELD_FCT

          public static final com.google.common.base.Function<IndexEntry,String> ENTRY2FIELD_FCT

  - ### Constructor Detail

    - #### IndexMutation

          public IndexMutation(List<IndexEntry> additions,
                       List<IndexEntry> deletions,
                       boolean isNew,
                       boolean isDeleted)

    - #### IndexMutation

          public IndexMutation(boolean isNew,
                       boolean isDeleted)

  - ### Method Detail

    - #### merge

          public void merge(IndexMutation m)

    - #### isNew

          public boolean isNew()

    - #### isDeleted

          public boolean isDeleted()

    - #### resetDelete

          public void resetDelete()

    - #### consolidate

          public void consolidate()

      Specified by:
        `consolidate` in class `Mutation<IndexEntry,IndexEntry>`

    - #### isConsolidated

          public boolean isConsolidated()

      Specified by:
        `isConsolidated` in class `Mutation<IndexEntry,IndexEntry>`

Copyright © 2012–2014. All rights reserved.